<?php
header("Content-Type: text/html; charset=windows-1250");
@setlocale(LC_ALL, 'cs_CZ', 'czech', 'cs_CZ.windows.1250');

$version = "2.0";

include("./config.php");
?>

<!DOCTYPE html>
<html lang="cs">
<head>
   <!-- Unreal][ # https://www.jklir.net/ # Licence: GNU/GPL # v<?php echo $version; ?> (c) Jirka Klr 2024 for CZFree.net ;-) # -->
   <title>CZF4BFU INFO</title>
   <meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
   <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0">
   <meta name="author" content="Unreal][ | www.jklir.net">
   <link href="styl.css" rel="stylesheet" type="text/css">
   <link rel="shortcut icon" href="favicon.ico">
   <style>
      <?php if (!empty($link_color)) { ?>
         a { color: <?php echo $link_color; ?>; }
      <?php } ?>
      <?php if (!empty($header_background)) { ?>
         h2, h3 { background: <?php echo $header_background; ?>; }
      <?php } ?>
      <?php if (!empty($header_color)) { ?>
         h2, h3, h2.title a, h3.title a { color: <?php echo $header_color; ?>; }
      <?php } ?>
   </style>
</head>
<body>

<h1>CZF4BFU INFORMATION</h1>

<div class="box">
   <h2>Information</h2>
   <div class="inner">
      <table>
         <td>Version:</td><td> <?php echo $version; ?></td></tr>
         <td>Author:</td><td> Unreal][</td></tr>
         <td>Licence:</td><td> GNU/GPL </td></tr>
         <td>Modification:</td><td> &nbsp;--- </td></tr>
      </table>
   </div>
</div>

<div class="box">
   <h2>DEU Files</h2>
   <div class="inner">
      <table>
<?php
   if ($dir = @opendir(".")) {
      while (($file = readdir($dir)) !== false) {
         if (preg_match('/^(global|local)-.*.txt$/',$file)) {
            echo " <tr><td>".$file."</td><td>&nbsp; - posledn zmna: ".date("d.m.Y H:i:s", (filemtime($file)))."</td></tr>\n";
         }
      }
      closedir($dir);
   }
?>
      </table>
   </div>
</div>

<div class="box">
   <h2>Server list info</h2>
   <div class="inner">
<?php

   $file = "servers.list";
   $fp = fopen($file, "r");
   $dat = fread($fp, filesize($file));
   $data = explode("\n", $dat);
   $tmp_data = array();
   foreach ($data as $key => $value) {
      if (empty($value) == false) {
         $tmp_data[] = $value;
      }
   }
   $data = $tmp_data;

   echo "soubor servers.list - posledn zmna: ".date("d.m.Y H:i:s", (filemtime("servers.list")))."<br>\n";
   echo "soubor servers.list - obsahuje ".count($data)." server\n";

   echo "<br><br>\n";
   
   foreach ($data as $key => $value) {
      echo $value."<br>\n";
   }

?>
   </div>
</div>

<div class="box">
   <h2>Icons</h2>
   <div class="inner" style="padding: 0;">
      <br>
      <h3>.</h3>
<?php
   $path = "ikony";
   $adresar = dir($path);
   echo "<ul class=\"items\">\n";
   while ($item = $adresar->read()) {
      $name = substr($item, 0, strpos($item, "."));
      if (preg_match("%.png$%", $item)) {
         echo "<li class=\"icon\" style=\"height: 58px;\"><img src=\"".$path."/".$item."\" alt=\"".substr($item, 0, -4)."\" title=\"".substr($item, 0, -4)."\"><span>".$name."</span></li>";
      }
   }
   echo "</ul>\n";
   $adresar->close();

   $adresar = dir($path);
   while ($itema = $adresar->read()) {
      if (is_dir($path."/".$itema) and strpos($itema, ".") !== 0) {
         echo "<h3 class=\"nomargin\">".$itema."/*</h3>\n";
         echo "<ul class=\"items\">\n";
         $adresar2 = dir($path."/".$itema);
         while ($item2 = $adresar2->read()) {
            $name = substr($item2, 0, strpos($item2, "."));
            if (preg_match("%.png$%", $item2)) {
               echo "<li class=\"icon\" style=\"height: 58px;\"><img src=\"".$path."/".$itema."/".$item2."\" alt=\"".$itema."/".substr($item2, 0, -4)."\" title=\"".$itema."/".substr($item2, 0, -4)."\"><span>".$name."</span></li>";
            }
         }
         echo "</ul>\n";
      }
   }
   $adresar->close();
   $adresar2->close();
?>
   </div>
</div>

<footer style="margin-right: 1em;">czf4bfu v<?php echo $version; ?> - made by <a href="https://www.jklir.net/" target="_blank">Unreal][</a></footer>

</body>
</html>